multimedia/GoogleEarth: Updated for version 4.2.205.5730

This commit is contained in:
Michiel van Wessem 2010-05-11 19:45:30 +02:00 committed by Robby Workman
parent 809cd10267
commit 61474172f8
4 changed files with 40 additions and 22 deletions

View file

@ -1,7 +1,6 @@
#!/bin/sh
# Slackware build script for google-earth
# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
# All rights reserved.
@ -23,17 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# Thanks to rworkman for the additional code and script cleanups, and danieldk
# and Alan_Hicks for their comments.
# Thanks to rworkman for the additional code and script cleanups
# and to Daniel de Kok and Alan_Hicks for their comments.
set -e
PRGNAM=googleearth
PKGNAME=GoogleEarth
VERSION=4.1.7076.4458
VERSION=4.2.205.5730
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@ -46,10 +46,11 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
sh $CWD/${PKGNAME}Linux.bin --noexec --target $PKG/opt/$PKGNAME
( cd $PKG/opt/$PKGNAME
tar -xvf $PRGNAM-data.tar && rm $PRGNAM-data.tar || exit 1
tar -xvf $PRGNAM-linux-x86.tar && rm $PRGNAM-linux-x86.tar || exit 1
) || exit 1
cd $PKG/opt/$PKGNAME
tar -xvf $PRGNAM-data.tar
tar -xvf $PRGNAM-linux-x86.tar
rm $PRGNAM-data.tar $PRGNAM-linux-x86.tar
cd -
# Set the ownership and permissions right after all parts are extracted.
cd $PKG
@ -60,17 +61,17 @@ mv $PKG/opt/$PKGNAME/bin/$PRGNAM $PKG/opt/$PKGNAME/$PRGNAM
rmdir $PKG/opt/$PKGNAME/bin
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
# Let's use the information from the included postinstall.sh
# script to create menu entry and mime stuff
DESKTOPFILE=$PKG/usr/share/applications/GoogleEarth.desktop
MIMEFILE=$PKG/usr/share/mime/googleearth-mimetypes.xml
mkdir -p $PKG/usr/share/{applications,mime,pixmaps}
mkdir -p $PKG/usr/share/{applications,mime,pixmaps} $PKG/usr/bin
cat >$DESKTOPFILE <<EOF
cat > $DESKTOPFILE << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Google Earth
@ -85,7 +86,7 @@ Categories=Application;Network
MimeType=application/vnd.google-earth.kml+xml;application/vnd.google-earth.kmz;application/earthviewer;application/keyhole
EOF
cat >$MIMEFILE <<EOF
cat > $MIMEFILE << EOF
<?xml version="1.0"?>
<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
<mime-type type="application/vnd.google-earth.kml+xml">
@ -111,15 +112,15 @@ EOF
# Let's take care of documentation
mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
mv $PKG/opt/$PKGNAME/EULA* $PKG/usr/doc/$PKGNAME-$VERSION
mv $PKG/opt/$PKGNAME/README.linux $PKG/usr/doc/$PKGNAME-$VERSION
cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
mv $PKG/opt/$PKGNAME/{$PRGNAM-icon.png,$PRGNAM.xpm} $PKG/usr/share/pixmaps
( mkdir -p $PKG/usr/bin/
cd $PKG/usr/bin
ln -s ../../opt/$PKGNAME/$PRGNAM $PRGNAM
# Make some needed symlinks in the package
( cd $PKG/usr/share/pixmaps
ln -s /opt/$PKGNAME/$PRGNAM-icon.png .
ln -s /opt/$PKGNAME/$PRGNAM.xpm .
cd $PKG/usr/bin
ln -s /opt/$PKGNAME/$PRGNAM .
)
mkdir -p $PKG/install

View file

@ -1,8 +1,8 @@
PRGNAM="google-earth"
VERSION="4.1.7076.4458"
PRGNAM="GoogleEarth"
VERSION="4.2.205.5730"
HOMEPAGE="http://earth.google.com"
DOWNLOAD="http://dl.google.com/earth/client/current/GoogleEarthLinux.bin"
MD5SUM="92dc59ae22ca97111d3d8ce066fa6cb2"
MD5SUM="789f438a999dfb157dc89eaa90388ac4"
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
APPROVED="rworkman"

View file

@ -13,3 +13,12 @@ The degree of resolution available is based somewhat on the points
of interest, but most land (except for some islands) is covered in at
least 15 meters of resolution.
Note that Google updates the GoogleEarth executable without changing
the download link location. Therefore, this script is subject to
failing at any time due to the fact that you might get a newer version
of GoogleEarth than what the script is designed to use.
When running GoogleEarth for the first time, you will see an error
message stating that it is unable to find the Bitstream Vera fonts.
This should be safe to ignore - it will use other fonts (and the
DejaVu fonts included with Slackware are based on the Bitstream fonts).

View file

@ -1,3 +1,11 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
GoogleEarth: GoogleEarth (Google's famous virtual globe)
GoogleEarth:
GoogleEarth: Google Earth is a virtual globe program. It maps a version of the